apt: pkgCacheGenerator Class Reference

apt 2.7.6 commandline package manager

Classes | Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | Friends | List of all members
pkgCacheGenerator Class Reference

## Classes
class | Dynamic

## Public Types
enum | StringType { MIXED , VERSIONNUMBER , SECTION }

## Public Member Functions
map_stringitem_t | StoreString (StringType const type, const char *S, unsigned int const Size)
map_stringitem_t | StoreString (enum StringType const type, APT::StringView S)
void | DropProgress ()
bool | SelectFile (const std::string &File, pkgIndexFile const &Index, std::string const &Architecture, std::string const &Component, unsigned long Flags=0)
bool | SelectReleaseFile (const std::string &File, const std::string &Site, unsigned long Flags=0)
bool | MergeList (ListParser &List, pkgCache::VerIterator *Ver=0)
pkgCache & | GetCache ()
pkgCache::PkgFileIterator | GetCurFile ()
pkgCache::RlsFileIterator | GetCurRlsFile ()
void | ReMap (void const *const oldMap, void *const newMap, size_t oldSize)
bool | Start ()
| pkgCacheGenerator (DynamicMMap *Map, OpProgress *Progress)

## Static Public Member Functions
static APT_PUBLIC bool | MakeStatusCache (pkgSourceList &List, OpProgress *Progress, MMap **OutMap=0, bool AllowMem=false)
static APT_HIDDEN bool | MakeStatusCache (pkgSourceList &List, OpProgress *Progress, MMap **OutMap, pkgCache **OutCache, bool AllowMem=false)
static APT_PUBLIC bool | MakeOnlyStatusCache (OpProgress *Progress, DynamicMMap **OutMap)

## Protected Member Functions
bool | NewGroup (pkgCache::GrpIterator &Grp, APT::StringView Name)
bool | NewPackage (pkgCache::PkgIterator &Pkg, APT::StringView Name, APT::StringView Arch)
map_pointer< pkgCache::Version > | NewVersion (pkgCache::VerIterator &Ver, APT::StringView const &VerStr, map_pointer< pkgCache::Package > const ParentPkg, uint32_t Hash, map_pointer< pkgCache::Version > const Next)
map_pointer< pkgCache::Description > | NewDescription (pkgCache::DescIterator &Desc, const std::string &Lang, APT::StringView md5sum, map_stringitem_t const idxmd5str)
bool | NewFileVer (pkgCache::VerIterator &Ver, ListParser &List)
bool | NewFileDesc (pkgCache::DescIterator &Desc, ListParser &List)
bool | NewDepends (pkgCache::PkgIterator &Pkg, pkgCache::VerIterator &Ver, map_stringitem_t const Version, uint8_t const Op, uint8_t const Type, map_pointer< pkgCache::Dependency > *&OldDepLast)
bool | NewProvides (pkgCache::VerIterator &Ver, pkgCache::PkgIterator &Pkg, map_stringitem_t const ProvidesVersion, uint8_t const Flags)

## Protected Attributes
DynamicMMap & | Map
pkgCache | Cache
OpProgress * | Progress
std::string | RlsFileName
pkgCache::ReleaseFile * | CurrentRlsFile
std::string | PkgFileName
pkgCache::PackageFile * | CurrentFile

## Friends
class | pkgCacheListParser

## Member Function Documentation

## ◆ MakeStatusCache()

bool MakeStatusCache | ( | pkgSourceList & | List,
|  | OpProgress * | Progress,
|  | MMap ** | OutMap,
|  | pkgCache ** | OutCache,
|  | bool | AllowMem = `false`
| ) |  |
| static

Todo:
  deprecate the ignored AllowMem parameter

References pkgSourceList::GetVolatileFiles().

The documentation for this class was generated from the following files:

- apt-pkg/pkgcachegen.h
- apt-pkg/pkgcachegen.cc